/* File:    $Id: LogUtils.java 1042 2009-09-30 18:12:50Z kfc $
 * Version: $Revision: 1042 $
 * Date:    $Date: 2009-09-30 20:12:50 +0200 (Wed, 30 Sep 2009) $
 * Author:  $Author: kfc $
 *
 * The Netarchive Suite - Software to harvest and preserve websites
 * Copyright 2004-2009 Det Kongelige Bibliotek and Statsbiblioteket, Denmark
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package dk.netarkivet.testutils;

import java.util.logging.Handler;
import java.util.logging.Logger;

/**
 * Utilities pertaining to testing of logs
 *
 */

public class LogUtils {
    /** Flush all logs for the given class. 
     * @param className Class to flush logs for. 
     */
    public static void flushLogs(final String className) {
        // Make sure that all logs are flushed before testing.
        Logger controllerLogger =
                Logger.getLogger(className);
        Handler[] handlers = controllerLogger.getHandlers();
        for (int i = 0; i < handlers.length; i++) {
            handlers[i].flush();
        }
    }
}
